#pragma once

#include <unordered_map>
#include "ofMain.h"
#include "Drawables.h"
#include "GestureWorks.h"

class InteractiveBitmaps : public ofBaseApp{
public:
	InteractiveBitmaps();

	// openFrameworks overrides
	void setup();
	void update();
	void draw();

	const static std::string window_title;

private:
	clock_t last_tick;
	std::unordered_map<long, GWCTutorials::TouchPoint> touch_points;
	std::unordered_map<std::wstring, GWCTutorials::TouchRectangle> rectangles;
	ofImage logo;

	void handlePointEvents(const std::vector<gwc::PointEvent>& point_events);
	void handleGestureEvents(const std::vector<gwc::GestureEvent>& gesture_events);
};
